Class ExecutionsRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Authentication.Executions
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\authentication\executions
public class ExecutionsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderExecutionsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ExecutionsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ExecutionsRequestBuilder and sets the default values.
public ExecutionsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ExecutionsRequestBuilder(string, IRequestAdapter)
Instantiates a new ExecutionsRequestBuilder and sets the default values.
public ExecutionsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.authentication.executions.item collection
public WithExecutionItemRequestBuilder this[string position] { get; }
Parameters
positionstringUnique identifier of the item
Property Value
Methods
PostAsync(AuthenticationExecutionRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Add new authentication execution
public Task PostAsync(AuthenticationExecutionRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyAuthenticationExecutionRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToPostRequestInformation(AuthenticationExecutionRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Add new authentication execution
public RequestInformation ToPostRequestInformation(AuthenticationExecutionRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyAuthenticationExecutionRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ExecutionsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.